
/*
Copyright (c) 2010 Donatien Garnier (donatiengar [at] gmail [dot] com)
 
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
 
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

/*
**************************************************************************************************************
*                                                 NXP USB Host Stack
*
*                                     (c) Copyright 2008, NXP SemiConductors
*                                     (c) Copyright 2008, OnChip  Technologies LLC
*                                                 All Rights Reserved
*
*                                                  www.nxp.com
*                                               www.onchiptech.com
*
* File           : usbhost_err.h
* Programmer(s)  : Ravikanth.P
* Version        :
*
**************************************************************************************************************
*/

#ifndef  USBHOST_ERR_H
#define  USBHOST_ERR_H


/*
**************************************************************************************************************
*                                        GENERAL DEFINITIONS
**************************************************************************************************************
*/

#define  OK                        0
#define  MATCH_FOUND               0

/*
**************************************************************************************************************
*                                HOST CONTROLLER SPECIFIC ERROR CODES
**************************************************************************************************************
*/

#define  ERR_TD_FAIL              -1

/*
**************************************************************************************************************
*                                  MASS STORAGE SPECIFIC ERROR CODES
**************************************************************************************************************
*/

#define  ERR_MS_CMD_FAILED       -10
#define  ERR_BAD_CONFIGURATION   -11
#define  ERR_NO_MS_INTERFACE     -12

/*
**************************************************************************************************************
*                                      FAT SPECIFIC ERROR CODES
**************************************************************************************************************
*/

#define  MATCH_NOT_FOUND         -20
#define  ERR_FAT_NOT_SUPPORTED   -21
#define  ERR_OPEN_LIMIT_REACHED  -22
#define  ERR_INVALID_BOOT_SIG    -23
#define  ERR_INVALID_BOOT_SEC    -24
#define  ERR_ROOT_DIR_FULL       -25

#define  PROCESSING             -101
#endif
